MongoDB not getting installed on Virtual Box

Hi All,

Getting following error:

The following extra packages will be installed:
mongodb-enterprise-mongos mongodb-enterprise-server mongodb-enterprise-shell
mongodb-enterprise-tools
The following NEW packages will be installed:
mongodb-enterprise mongodb-enterprise-mongos mongodb-enterprise-server
mongodb-enterprise-shell mongodb-enterprise-tools
0 upgraded, 5 newly installed, 0 to remove and 1 not upgraded.
Need to get 79.2 MB of archives.
After this operation, 319 MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
mongodb-enterprise-shell mongodb-enterprise-server mongodb-enterprise-mongos
mongodb-enterprise-tools mongodb-enterprise
Get:1 http://repo.mongodb.com/apt/ubuntu/ trusty/mongodb-enterprise/3.6/multiverse mongodb-enterprise-shell amd64 3.6.10 [8,524 kB]
Get:2 http://repo.mongodb.com/apt/ubuntu/ trusty/mongodb-enterprise/3.6/multiverse mongodb-enterprise-server amd64 3.6.10 [15.7 MB]
Get:3 http://repo.mongodb.com/apt/ubuntu/ trusty/mongodb-enterprise/3.6/multiverse mongodb-enterprise-mongos amd64 3.6.10 [8,653 kB]
Get:4 http://repo.mongodb.com/apt/ubuntu/ trusty/mongodb-enterprise/3.6/multiverse mongodb-enterprise-tools amd64 3.6.10 [46.3 MB]
Get:5 http://repo.mongodb.com/apt/ubuntu/ trusty/mongodb-enterprise/3.6/multiverse mongodb-enterprise amd64 3.6.10 [3,528 B]
Fetched 14.6 kB in 5s (2,731 B/s)
E: Failed to fetch http://repo.mongodb.com/apt/ubuntu/dists/trusty/mongodb-enterprise/3.6/multiverse/binary-amd64/mongodb-enterprise-shell_3.6.10_amd64.deb Size mismatch

E: Failed to fetch http://repo.mongodb.com/apt/ubuntu/dists/trusty/mongodb-enterprise/3.6/multiverse/binary-amd64/mongodb-enterprise-server_3.6.10_amd64.deb Size mismatch

E: Failed to fetch http://repo.mongodb.com/apt/ubuntu/dists/trusty/mongodb-enterprise/3.6/multiverse/binary-amd64/mongodb-enterprise-mongos_3.6.10_amd64.deb Size mismatch

E: Failed to fetch http://repo.mongodb.com/apt/ubuntu/dists/trusty/mongodb-enterprise/3.6/multiverse/binary-amd64/mongodb-enterprise-tools_3.6.10_amd64.deb Size mismatch

E: Failed to fetch http://repo.mongodb.com/apt/ubuntu/dists/trusty/mongodb-enterprise/3.6/multiverse/binary-amd64/mongodb-enterprise_3.6.10_amd64.deb Size mismatch

When tried running sudo apt-get update on ssh:
following error was shown:

W: GPG error: http://repo.mongodb.com trusty/mongodb-enterprise/3.6 Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 58712A2291FA4AD5

mongo --version
The program ‘mongo’ is currently not installed. To run ‘mongo’ please ask your administrator to install the package ‘mongodb-clients’

Can anyone help. Or if it is already asked and answered somewhere please share link.

thank you.

1 Like

for vagrant up --provision following message is given -

The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

and for
mongo --version
The program ‘mongo’ is currently not installed. To run ‘mongo’ please ask your administrator to install the package ‘mongodb-clients’

Please help.

1 Like

It seems that somehow the APT configuration for the Mongo repository has gotten mixed up. Either that, or the repo itself is borked, but that would be very bad indeed (would suggest problems at Mongo HQ).

Tried with different version [ubuntu/boxes/xenial64] as well. Same issue. Everything else works fine. able to SSH it validate command works good but validate_box, provision etc all fails due to failure of mongodb enterprise installation.

Can someone from staff/mentor be able to help us?

Thank you.

1 Like

Hi,

I am also facing the same issue. Please suggest some solution

Errror:
GPG error: http://repo.mongodb.com trusty/mongodb-enterprise/3.6 Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 58712A2291FA4AD5

1 Like

In the very least, the directory trees look semi-okay.

http://repo.mongodb.com/apt/ubuntu/dists/trusty/mongodb-enterprise/3.6/

And the TLS certificate for the site also check out; it’s the *.mongodb.com catchall.

But still, it’s kind of creepy that the APT tool is reporting that the filesizes for the install packages are mismatching and that there’s issues with GPG. @DHz @Kanika @nathan.leniz any ideas what could be going on with the APT repo for MongoDB?

To other students running into the same issue, we have been asked by TA’s to please file a report inside the M103 training.

Hi Even im getting same error, please assist

C:\Users\DELL\m103\m103-vagrant-env>validate_box
‘validate_box’ is not recognized as an internal or external command,
operable program or batch file

mongod-m103: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://archive.ubuntu.com trusty-updates InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 NO_PUBKEY 3B4FE6ACC0B21F32
mongod-m103: W
mongod-m103: :
mongod-m103: GPG error: http://repo.mongodb.com trusty/mongodb-enterprise/3.6 Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 58712A2291FA4AD5
mongod-m103: W
mongod-m103: :
mongod-m103: GPG error: http://archive.ubuntu.com trusty-backports InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 NO_PUBKEY 3B4FE6ACC0B21F32
mongod-m103: W
mongod-m103: :
mongod-m103: GPG error: http://security.ubuntu.com trusty-security InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 NO_PUBKEY 3B4FE6ACC0B21F32
mongod-m103: W
mongod-m103: :
mongod-m103: GPG error: http://archive.ubuntu.com trusty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 NO_PUBKEY 3B4FE6ACC0B21F32
mongod-m103: W
mongod-m103: :
mongod-m103: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/trusty-updates/InRelease

We are running out of time, What will happen to our homework and its grades :disappointed_relieved:? Are we allowed to submit it post things works fine {may be in a day or two, when MongoDB team may fix it or push new version release. :crossed_fingers:}

Can some one advise please. :pray: @Tess_Sluijter, @DHz, @Kanika, @nathan.leniz,
-mentors,
-admin,
-mongodb team.

Unfortunately all the grading is done 100% automatically. There is no way of preventing an automatic failure for this week’s labs if you cannot submit them.

You can of course still continue the training, but going for a passing grade will be harder if you want the certificate.

Hi Satyanarayana_Raju_84735,

You need to run validate_box from inside the Vagrant.

  vagrant@m103:~$ validate_box

Kanika

Hi Balwinder,

Sorry for your experience.

As I can see, you have already tried sudo apt-get. I will recommend vagrant destory and updating your system requirements and then setup vagrant again.

Kanika

1 Like

Hi All,

It worked for me now. Don’t know what actually clicked, had tried dozens of tweaks. Or public key/repo may be fixed by mongo team.

Request others to try, we still have time to complete our homework.

Balwinder

1 Like